"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const project_targets_1 = require("./project-targets");
/** Gets the path of the index file in the given project. */
function getProjectIndexFiles(project) {
    // Use a set to remove duplicate index files referenced in multiple build targets
    // of a project.
    return [...new Set(project_targets_1.getTargetsByBuilderName(project, project_targets_1.defaultTargetBuilders.build)
            .filter(t => t.options.index)
            .map(t => t.options.index))];
}
exports.getProjectIndexFiles = getProjectIndexFiles;
//# sourceMappingURL=project-index-file.js.map